cURL
curl --request GET \
--url https://api-alpha.fourvenues.com/integrations/lists/{listId} \
--header 'integration_id: <api-key>' \
--header 'secret: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api-alpha.fourvenues.com/integrations/lists/{listId}"
headers = {
"integration_id": "<api-key>",
"secret": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {integration_id: '<api-key>', secret: '<api-key>', 'x-api-key': '<api-key>'}
};
fetch('https://api-alpha.fourvenues.com/integrations/lists/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "Pl4gr84v20xqu01js0ybj42s6vYtIz1T",
"channel_id": "ajifs2hke000dwemmurwd3kuqN3Kopcx",
"code": "P6J21FF2S",
"enter": 4,
"event_id": "Mjo4f9o9h01fdjvmmrgn9aoh4s5IBHzX",
"for": 7,
"name": "Miguel Román",
"observations_reception": "Birthday",
"rate_id": "Tl4gr63fr0xkr01i1gk354qbrSCMLTwl",
"rate_name": "General Access",
"rate_slug": "general-access",
"referral_id": "ñeifupjvx000rwe2m2zuba1z9FqyR2dSL",
"referral": {
"_id": "eifupjvx000rwe2m2zuba1z9FqyR2dSL",
"name": "John Appleseed"
},
"options": [
{
"_id": "1712861139741",
"women": 1,
"men": 1,
"no_gender": 0,
"price": 10,
"total": 2
}
],
"tags": [
"birthday",
"free-access"
],
"removed_at": 0
}
}Lists
Get list by id
Get a list by its identifier.
GET
/
lists
/
{listId}
cURL
Authorizations
Identifier of the integration (Auth v1)
Secret of the organization (Auth v1)
API key (Auth v2)
Path Parameters
List identifier.
⌘I